%global momorel 6

Summary: Kernel oops and error message decoder
Name: ksymoops
Version: 2.4.9
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Kernel
Source0: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/ksymoops-%{version}.tar.bz2
NoSource: 0
URL: http://www.gnu.org/directory/devel/Debugging/ksymoops.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%define buildcc gcc
BuildRequires: gcc
BuildRequires: binutils-devel
BuildRequires: zlib-devel

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup -q

%build
# binutils requires "-lz"
LDFLAGS="-lz" \
CFLAGS="%{optflags}" make all CC=%{buildcc}

%install
rm -rf %{buildroot}
make INSTALL_PREFIX=%{buildroot}/usr \
     INSTALL_MANDIR=%{buildroot}/%{_mandir} \
     install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc COPYING Changelog README*
/usr/bin/ksymoops
%{_mandir}/man8/ksymoops.8*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.9-6m)
- rebuild against rpm-4.6

* Sat Nov  1 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.4.9-5m)
- add LDFLAGS="-lz" for newer binutils
- add BuildRequires

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.9-4m)
- rebuild against gcc43

* Sat Oct 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.4.9-3m)
- remove Obsoletes: kernel-utils

* Tue Jan 18 2005 mutecat <mutecat@momonga-linux.org>
- (2.4.9-2m)
- arrange ppc not use gcc_2_95_3

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.9-1m)
  update to 2.4.9

* Fri Nov  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.7-1m)
- formerly known as kernel-utils package
